## org.eclipse.emf.ecore.xml.type.impl
Class XMLTypePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecore.xml.type.impl.XMLTypePackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, XMLTypePackage

    public class XMLTypePackageImpl

extends EPackageImpl
implements XMLTypePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xml.type.XMLTypePackage
`XMLTypePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.xml.type.XMLTypePackage

`ANY_SIMPLE_TYPE, ANY_TYPE, ANY_TYPE__ANY, ANY_TYPE__ANY_ATTRIBUTE, ANY_TYPE__MIXED, ANY_TYPE_FEATURE_COUNT, ANY_URI, BASE64_BINARY, BOOLEAN, BOOLEAN_OBJECT, BYTE, BYTE_OBJECT, DATE, DATE_TIME, DECIMAL, DOUBLE, DOUBLE_OBJECT, DURATION, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENTITIES, ENTITIES_BASE, ENTITY, FLOAT, FLOAT_OBJECT, GDAY, GMONTH, GMONTH_DAY, GYEAR, GYEAR_MONTH, HEX_BINARY, ID, IDREF, IDREFS, IDREFS_BASE, INT, INT_OBJECT, INTEGER, LANGUAGE, LONG, LONG_OBJECT, NAME, NC_NAME, NEGATIVE_INTEGER, NMTOKEN, NMTOKENS, NMTOKENS_BASE, NON_NEGATIVE_INTEGER, NON_POSITIVE_INTEGER, NORMALIZED_STRING, NOTATION, POSITIVE_INTEGER, PROCESSING_INSTRUCTION, PROCESSING_INSTRUCTION__DATA, PROCESSING_INSTRUCTION__TARGET, PROCESSING_INSTRUCTION_FEATURE_COUNT, QNAME, SHORT, SHORT_OBJECT, SIMPLE_ANY_TYPE, SIMPLE_ANY_TYPE__ANY, SIMPLE_ANY_TYPE__ANY_ATTRIBUTE, SIMPLE_ANY_TYPE__INSTANCE_TYPE, SIMPLE_ANY_TYPE__MIXED, SIMPLE_ANY_TYPE__RAW_VALUE, SIMPLE_ANY_TYPE__VALUE, SIMPLE_ANY_TYPE_FEATURE_COUNT, STRING, TIME, TOKEN, UNSIGNED_BYTE, UNSIGNED_BYTE_OBJECT, UNSIGNED_INT, UNSIGNED_INT_OBJECT, UNSIGNED_LONG, UNSIGNED_SHORT, UNSIGNED_SHORT_OBJECT, XML_TYPE_DOCUMENT_ROOT, XML_TYPE_DOCUMENT_ROOT__CDATA, XML_TYPE_DOCUMENT_ROOT__COMMENT, XML_TYPE_DOCUMENT_ROOT__MIXED, XML_TYPE_DOCUMENT_ROOT__PROCESSING_INSTRUCTION, XML_TYPE_DOCUMENT_ROOT__TEXT, XML_TYPE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP, XML_TYPE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, XML_TYPE_DOCUMENT_ROOT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`protected void` `createNullAnnotations()` Initializes the annotations for null
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EDataType` `getAnySimpleType()`
`EAttribute` `getAnyType_Any()`
`EAttribute` `getAnyType_AnyAttribute()`
`EAttribute` `getAnyType_Mixed()`
`EClass` `getAnyType()`
`EDataType` `getAnyURI()`
`EDataType` `getBase64Binary()`
`EDataType` `getBoolean()`
`EDataType` `getBooleanObject()`
`EDataType` `getByte()`
`EDataType` `getByteObject()`
`EDataType` `getDate()`
`EDataType` `getDateTime()`
`EDataType` `getDecimal()`
`EDataType` `getDouble()`
`EDataType` `getDoubleObject()`
`EDataType` `getDuration()`
`EDataType` `getENTITIES()`
`EDataType` `getENTITIESBase()`
`EDataType` `getENTITY()`
`EDataType` `getFloat()`
`EDataType` `getFloatObject()`
`EDataType` `getGDay()`
`EDataType` `getGMonth()`
`EDataType` `getGMonthDay()`
`EDataType` `getGYear()`
`EDataType` `getGYearMonth()`
`EDataType` `getHexBinary()`
`EDataType` `getID()`
`EDataType` `getIDREF()`
`EDataType` `getIDREFS()`
`EDataType` `getIDREFSBase()`
`EDataType` `getInt()`
`EDataType` `getInteger()`
`EDataType` `getIntObject()`
`EDataType` `getLanguage()`
`EDataType` `getLong()`
`EDataType` `getLongObject()`
`EDataType` `getName_()`
`EDataType` `getNCName()`
`EDataType` `getNegativeInteger()`
`EDataType` `getNMTOKEN()`
`EDataType` `getNMTOKENS()`
`EDataType` `getNMTOKENSBase()`
`EDataType` `getNonNegativeInteger()`
`EDataType` `getNonPositiveInteger()`
`EDataType` `getNormalizedString()`
`EDataType` `getNOTATION()`
`EDataType` `getPositiveInteger()`
`EAttribute` `getProcessingInstruction_Data()`
`EAttribute` `getProcessingInstruction_Target()`
`EClass` `getProcessingInstruction()`
`EDataType` `getQName()`
`EDataType` `getShort()`
`EDataType` `getShortObject()`
`EReference` `getSimpleAnyType_InstanceType()`
`EAttribute` `getSimpleAnyType_RawValue()`
`EAttribute` `getSimpleAnyType_Value()`
`EClass` `getSimpleAnyType()`
`EDataType` `getString()`
`EDataType` `getTime()`
`EDataType` `getToken()`
`EDataType` `getUnsignedByte()`
`EDataType` `getUnsignedByteObject()`
`EDataType` `getUnsignedInt()`
`EDataType` `getUnsignedIntObject()`
`EDataType` `getUnsignedLong()`
`EDataType` `getUnsignedShort()`
`EDataType` `getUnsignedShortObject()`
`EAttribute` `getXMLTypeDocumentRoot_CDATA()`
`EAttribute` `getXMLTypeDocumentRoot_Comment()`
`EAttribute` `getXMLTypeDocumentRoot_Mixed()`
`EReference` `getXMLTypeDocumentRoot_ProcessingInstruction()`
`EAttribute` `getXMLTypeDocumentRoot_Text()`
`EReference` `getXMLTypeDocumentRoot_XMLNSPrefixMap()`
`EReference` `getXMLTypeDocumentRoot_XSISchemaLocation()`
`EClass` `getXMLTypeDocumentRoot()`
`XMLTypeFactory` `getXMLTypeFactory()`
`static XMLTypePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static XMLTypePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `XMLTypePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `XMLTypePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAnyType

    public EClass getAnyType()

  Specified by:
    `getAnyType` in interface `XMLTypePackage`
  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getAnyType_Mixed

    public EAttribute getAnyType_Mixed()

  Specified by:
    `getAnyType_Mixed` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `AnyType.getMixed()`, `XMLTypePackage.getAnyType()`

### getAnyType_Any

    public EAttribute getAnyType_Any()

  Specified by:
    `getAnyType_Any` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute list 'Any'.
  See Also:
    `AnyType.getAny()`, `XMLTypePackage.getAnyType()`

### getAnyType_AnyAttribute

    public EAttribute getAnyType_AnyAttribute()

  Specified by:
    `getAnyType_AnyAttribute` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute list 'Any Attribute'.
  See Also:
    `AnyType.getAnyAttribute()`, `XMLTypePackage.getAnyType()`

### getProcessingInstruction

    public EClass getProcessingInstruction()

  Specified by:
    `getProcessingInstruction` in interface `XMLTypePackage`
  Returns:
    the meta object for class 'Processing Instruction'.
  See Also:
    `ProcessingInstruction`

### getProcessingInstruction_Data

    public EAttribute getProcessingInstruction_Data()

  Specified by:
    `getProcessingInstruction_Data` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `ProcessingInstruction.getData()`, `XMLTypePackage.getProcessingInstruction()`

### getProcessingInstruction_Target

    public EAttribute getProcessingInstruction_Target()

  Specified by:
    `getProcessingInstruction_Target` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Target'.
  See Also:
    `ProcessingInstruction.getTarget()`, `XMLTypePackage.getProcessingInstruction()`

### getSimpleAnyType

    public EClass getSimpleAnyType()

  Specified by:
    `getSimpleAnyType` in interface `XMLTypePackage`
  Returns:
    the meta object for class 'Simple Any Type'.
  See Also:
    `SimpleAnyType`

### getSimpleAnyType_RawValue

    public EAttribute getSimpleAnyType_RawValue()

  Specified by:
    `getSimpleAnyType_RawValue` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `SimpleAnyType.getRawValue()`, `XMLTypePackage.getSimpleAnyType()`

### getSimpleAnyType_Value

    public EAttribute getSimpleAnyType_Value()

  Specified by:
    `getSimpleAnyType_Value` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SimpleAnyType.getValue()`, `XMLTypePackage.getSimpleAnyType()`

### getSimpleAnyType_InstanceType

    public EReference getSimpleAnyType_InstanceType()

  Specified by:
    `getSimpleAnyType_InstanceType` in interface `XMLTypePackage`
  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `SimpleAnyType.getInstanceType()`, `XMLTypePackage.getSimpleAnyType()`

### getXMLTypeDocumentRoot

    public EClass getXMLTypeDocumentRoot()

  Specified by:
    `getXMLTypeDocumentRoot` in interface `XMLTypePackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `XMLTypeDocumentRoot`

### getXMLTypeDocumentRoot_Mixed

    public EAttribute getXMLTypeDocumentRoot_Mixed()

  Specified by:
    `getXMLTypeDocumentRoot_Mixed` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `XMLTypeDocumentRoot.getMixed()`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_XMLNSPrefixMap

    public EReference getXMLTypeDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getXMLTypeDocumentRoot_XMLNSPrefixMap` in interface `XMLTypePackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `XMLTypeDocumentRoot.getXMLNSPrefixMap()`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_XSISchemaLocation

    public EReference getXMLTypeDocumentRoot_XSISchemaLocation()

  Specified by:
    `getXMLTypeDocumentRoot_XSISchemaLocation` in interface `XMLTypePackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `XMLTypeDocumentRoot.getXSISchemaLocation()`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_CDATA

    public EAttribute getXMLTypeDocumentRoot_CDATA()

  Specified by:
    `getXMLTypeDocumentRoot_CDATA` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'CDATA'.
  See Also:
    `XMLTypeDocumentRoot`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_Comment

    public EAttribute getXMLTypeDocumentRoot_Comment()

  Specified by:
    `getXMLTypeDocumentRoot_Comment` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Comment'.
  See Also:
    `XMLTypeDocumentRoot`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_Text

    public EAttribute getXMLTypeDocumentRoot_Text()

  Specified by:
    `getXMLTypeDocumentRoot_Text` in interface `XMLTypePackage`
  Returns:
    the meta object for the attribute 'Text'.
  See Also:
    `XMLTypeDocumentRoot`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getXMLTypeDocumentRoot_ProcessingInstruction

    public EReference getXMLTypeDocumentRoot_ProcessingInstruction()

  Specified by:
    `getXMLTypeDocumentRoot_ProcessingInstruction` in interface `XMLTypePackage`
  Returns:
    the meta object for the containment reference 'Processing Instruction'.
  See Also:
    `XMLTypeDocumentRoot`, `XMLTypePackage.getXMLTypeDocumentRoot()`

### getAnySimpleType

    public EDataType getAnySimpleType()

  Specified by:
    `getAnySimpleType` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Any Simple Type'.
  See Also:
    `Object`

### getAnyURI

    public EDataType getAnyURI()

  Specified by:
    `getAnyURI` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Any URI'.
  See Also:
    `String`

### getBase64Binary

    public EDataType getBase64Binary()

  Specified by:
    `getBase64Binary` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Base64 Binary'.

### getBoolean

    public EDataType getBoolean()

  Specified by:
    `getBoolean` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Boolean'.

### getBooleanObject

    public EDataType getBooleanObject()

  Specified by:
    `getBooleanObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Boolean Object'.
  See Also:
    `Boolean`

### getDecimal

    public EDataType getDecimal()

  Specified by:
    `getDecimal` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Decimal'.
  See Also:
    `BigDecimal`

### getInteger

    public EDataType getInteger()

  Specified by:
    `getInteger` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Integer'.
  See Also:
    `BigInteger`

### getIntObject

    public EDataType getIntObject()

  Specified by:
    `getIntObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Int Object'.
  See Also:
    `Integer`

### getLong

    public EDataType getLong()

  Specified by:
    `getLong` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Long'.

### getLongObject

    public EDataType getLongObject()

  Specified by:
    `getLongObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Long Object'.
  See Also:
    `Long`

### getInt

    public EDataType getInt()

  Specified by:
    `getInt` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Int'.

### getShort

    public EDataType getShort()

  Specified by:
    `getShort` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Short'.

### getShortObject

    public EDataType getShortObject()

  Specified by:
    `getShortObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Short Object'.
  See Also:
    `Short`

### getByte

    public EDataType getByte()

  Specified by:
    `getByte` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Byte'.

### getByteObject

    public EDataType getByteObject()

  Specified by:
    `getByteObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Byte Object'.
  See Also:
    `Byte`

### getDate

    public EDataType getDate()

  Specified by:
    `getDate` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Date'.
  See Also:
    `XMLGregorianCalendar`

### getDateTime

    public EDataType getDateTime()

  Specified by:
    `getDateTime` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Date Time'.
  See Also:
    `XMLGregorianCalendar`

### getString

    public EDataType getString()

  Specified by:
    `getString` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'String'.
  See Also:
    `String`

### getDouble

    public EDataType getDouble()

  Specified by:
    `getDouble` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Double'.

### getDoubleObject

    public EDataType getDoubleObject()

  Specified by:
    `getDoubleObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Double Object'.
  See Also:
    `Double`

### getDuration

    public EDataType getDuration()

  Specified by:
    `getDuration` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Duration'.
  See Also:
    `Duration`

### getENTITIESBase

    public EDataType getENTITIESBase()

  Specified by:
    `getENTITIESBase` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'ENTITIES Base'.
  See Also:
    `List`

### getNormalizedString

    public EDataType getNormalizedString()

  Specified by:
    `getNormalizedString` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Normalized String'.
  See Also:
    `String`

### getToken

    public EDataType getToken()

  Specified by:
    `getToken` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Token'.
  See Also:
    `String`

### getName_

    public EDataType getName_()

  Specified by:
    `getName_` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Name'.
  See Also:
    `String`

### getNCName

    public EDataType getNCName()

  Specified by:
    `getNCName` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'NC Name'.
  See Also:
    `String`

### getENTITY

    public EDataType getENTITY()

  Specified by:
    `getENTITY` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'ENTITY'.
  See Also:
    `String`

### getENTITIES

    public EDataType getENTITIES()

  Specified by:
    `getENTITIES` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'ENTITIES'.
  See Also:
    `List`

### getFloat

    public EDataType getFloat()

  Specified by:
    `getFloat` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Float'.

### getFloatObject

    public EDataType getFloatObject()

  Specified by:
    `getFloatObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Float Object'.
  See Also:
    `Float`

### getGDay

    public EDataType getGDay()

  Specified by:
    `getGDay` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'GDay'.
  See Also:
    `XMLGregorianCalendar`

### getGMonth

    public EDataType getGMonth()

  Specified by:
    `getGMonth` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'GMonth'.
  See Also:
    `XMLGregorianCalendar`

### getGMonthDay

    public EDataType getGMonthDay()

  Specified by:
    `getGMonthDay` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'GMonth Day'.
  See Also:
    `XMLGregorianCalendar`

### getGYear

    public EDataType getGYear()

  Specified by:
    `getGYear` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'GYear'.
  See Also:
    `XMLGregorianCalendar`

### getGYearMonth

    public EDataType getGYearMonth()

  Specified by:
    `getGYearMonth` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'GYear Month'.
  See Also:
    `XMLGregorianCalendar`

### getHexBinary

    public EDataType getHexBinary()

  Specified by:
    `getHexBinary` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Hex Binary'.

### getID

    public EDataType getID()

  Specified by:
    `getID` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'ID'.
  See Also:
    `String`

### getIDREF

    public EDataType getIDREF()

  Specified by:
    `getIDREF` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'IDREF'.
  See Also:
    `String`

### getIDREFSBase

    public EDataType getIDREFSBase()

  Specified by:
    `getIDREFSBase` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'IDREFS Base'.
  See Also:
    `List`

### getIDREFS

    public EDataType getIDREFS()

  Specified by:
    `getIDREFS` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'IDREFS'.
  See Also:
    `List`

### getLanguage

    public EDataType getLanguage()

  Specified by:
    `getLanguage` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Language'.
  See Also:
    `String`

### getNonPositiveInteger

    public EDataType getNonPositiveInteger()

  Specified by:
    `getNonPositiveInteger` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Non Positive Integer'.
  See Also:
    `BigInteger`

### getNegativeInteger

    public EDataType getNegativeInteger()

  Specified by:
    `getNegativeInteger` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Negative Integer'.
  See Also:
    `BigInteger`

### getNMTOKEN

    public EDataType getNMTOKEN()

  Specified by:
    `getNMTOKEN` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'NMTOKEN'.
  See Also:
    `String`

### getNMTOKENSBase

    public EDataType getNMTOKENSBase()

  Specified by:
    `getNMTOKENSBase` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'NMTOKENS Base'.
  See Also:
    `List`

### getNMTOKENS

    public EDataType getNMTOKENS()

  Specified by:
    `getNMTOKENS` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'NMTOKENS'.
  See Also:
    `List`

### getNonNegativeInteger

    public EDataType getNonNegativeInteger()

  Specified by:
    `getNonNegativeInteger` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Non Negative Integer'.
  See Also:
    `BigInteger`

### getNOTATION

    public EDataType getNOTATION()

  Specified by:
    `getNOTATION` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'NOTATION'.
  See Also:
    `QName`

### getPositiveInteger

    public EDataType getPositiveInteger()

  Specified by:
    `getPositiveInteger` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Positive Integer'.
  See Also:
    `BigInteger`

### getQName

    public EDataType getQName()

  Specified by:
    `getQName` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'QName'.
  See Also:
    `QName`

### getTime

    public EDataType getTime()

  Specified by:
    `getTime` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Time'.
  See Also:
    `XMLGregorianCalendar`

### getUnsignedLong

    public EDataType getUnsignedLong()

  Specified by:
    `getUnsignedLong` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Long'.
  See Also:
    `BigInteger`

### getUnsignedInt

    public EDataType getUnsignedInt()

  Specified by:
    `getUnsignedInt` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Int'.

### getUnsignedIntObject

    public EDataType getUnsignedIntObject()

  Specified by:
    `getUnsignedIntObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Int Object'.
  See Also:
    `Long`

### getUnsignedShort

    public EDataType getUnsignedShort()

  Specified by:
    `getUnsignedShort` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Short'.

### getUnsignedShortObject

    public EDataType getUnsignedShortObject()

  Specified by:
    `getUnsignedShortObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Short Object'.
  See Also:
    `Integer`

### getUnsignedByte

    public EDataType getUnsignedByte()

  Specified by:
    `getUnsignedByte` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Byte'.

### getUnsignedByteObject

    public EDataType getUnsignedByteObject()

  Specified by:
    `getUnsignedByteObject` in interface `XMLTypePackage`
  Returns:
    the meta object for data type 'Unsigned Byte Object'.
  See Also:
    `Short`

### getXMLTypeFactory

    public XMLTypeFactory getXMLTypeFactory()

  Specified by:
    `getXMLTypeFactory` in interface `XMLTypePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

### createNullAnnotations

    protected void createNullAnnotations()

  Initializes the annotations for null.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.